Subject: Re: borkage in 2.6.23-rc4-mm1

From: "John W. Linville" <[email-masked]>
Date: Sat, 1 Sep 2007 09:12:49 -0400

On Sat, Sep 01, 2007 at 05:47:23AM -0400, Jeff Garzik wrote:
> Andrew Morton wrote:
> >Aug 31 20:58:07 sony kernel: ipw2200: Firmware error detected.  Restarting.

> I see this on my Sony Vaio with older, non-mm kernels too.  Incredibly 
> frustrating, as it seems to be related to the phase of the moon. 
> Sometimes a reboot gets my wireless working, sometimes it doesn't.

There have been a few random reports of firmware restarts with ipw2x00
for a long time.  Unfortunately, only Intel has any visibility into
that firmware.  Do make sure you have the latest firmware released
from Intel (you probably do already, but it's worth checking).

Yi, any thoughts?

John
-- 
John W. Linville
[email-masked]